import { SdkContext } from "@azure-tools/typespec-client-generator-core";
import { EmitContext } from "@typespec/compiler";
import { Logger } from "./lib/logger.js";
import { NetEmitterOptions } from "./options.js";
export interface CSharpEmitterContext extends SdkContext<NetEmitterOptions> {
    logger: Logger;
}
/**
 * The entry point for the emitter. This function is called by the typespec compiler.
 * @param context - The emit context
 * @beta
 */
export declare function $onEmit(context: EmitContext<NetEmitterOptions>): Promise<void>;
//# sourceMappingURL=emitter.d.ts.map