import { Program } from "@typespec/compiler";
import { LoggerLevel } from "./log-level.js";
/**
 * The Logger class for the emitter.
 * @beta
 */
export declare class Logger {
    private tracer;
    private level;
    private program;
    constructor(program: Program, level: LoggerLevel);
    info(message: string): void;
    debug(message: string): void;
    verbose(message: string): void;
    warn(message: string): void;
    error(message: string): void;
}
//# sourceMappingURL=logger.d.ts.map